@echo -off

#mode 100 31 optimal for ms surface pro
mode 100 31

cls 0

echo ""
echo "************************************************************************"
echo "* Intel(R) Device Independent Diagnostic - script version 3.1.64b.UEFI *"
echo "************************************************************************"
echo ""

#
# Determine which file system the test/diag is on
#
echo "Searching for Diagnostic Drive"
for %d in fs0 fs1 fs2 fs3 fs4 fs5 fs6 fs7 fs8 fs9 fs10
	set diagdrive %d
    if exist %diagdrive%:\TESTDRIVE.txt then
        echo Located Diagnostic Drive on %diagdrive%: 
		echo ""
        goto SET_DIAGDRIVE
    endif
endfor

if not exist TESTDRIVE.txt then
	echo "Missing TESTDRIVE.txt file, unable to determine Diagnostic Drive"
	goto DROP_OUT
endif

#
#Set Diagnostic Drive
#
:SET_DIAGDRIVE
%diagdrive%:
goto START_DIAG

#
#Start Diagnostic
#
:START_DIAG
CustomLogoApp.efi Hplogo.jpg

:END
